## ros-indigo-jsk-common-msgs 4.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_common_msgs)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-jsk-common-msgs (4.3.0-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 14 Jul 2017 15:00:00 -0000

ros-indigo-jsk-common-msgs (4.2.0-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 27 Jun 2017 15:00:00 -0000

ros-indigo-jsk-common-msgs (4.1.1-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 16 May 2017 15:00:00 -0000

ros-indigo-jsk-common-msgs (4.1.0-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 26 Oct 2016 15:00:00 -0000

ros-indigo-jsk-common-msgs (4.0.0-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 20 Sep 2016 15:00:00 -0000

ros-indigo-jsk-common-msgs (3.0.0-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 17 Jun 2016 15:00:00 -0000

ros-indigo-jsk-common-msgs (2.0.1-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 20 Jan 2016 15:00:00 -0000

ros-indigo-jsk-common-msgs (2.0.0-0trusty) trusty; urgency=high

  * move from jsk_common to jsk_common_msgs
  * add jsk_common_msgs meta package
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 18 Jun 2015 15:00:00 -0000

ros-indigo-jsk-common-msgs (1.0.72-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 06 Jun 2015 15:00:00 -0000

ros-indigo-jsk-common-msgs (1.0.71-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 16 May 2015 15:00:00 -0000

ros-indigo-jsk-common-msgs (1.0.70-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 07 May 2015 15:00:00 -0000

ros-indigo-jsk-common-msgs (1.0.69-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 05 May 2015 03:28:00 -0000

ros-indigo-jsk-common-msgs (1.0.68-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 05 May 2015 00:49:00 -0000

ros-indigo-jsk-common-msgs (1.0.67-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 02 May 2015 15:00:00 -0000

ros-indigo-jsk-common-msgs (1.0.66-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 02 Apr 2015 15:00:00 -0000

ros-indigo-jsk-common-msgs (1.0.65-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 01 Apr 2015 15:00:00 -0000

ros-indigo-jsk-common-msgs (1.0.64-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 28 Mar 2015 15:00:00 -0000

ros-indigo-jsk-common-msgs (1.0.63-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 18 Feb 2015 15:00:00 -0000

ros-indigo-jsk-common-msgs (1.0.62-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 16 Feb 2015 15:00:00 -0000

ros-indigo-jsk-common-msgs (1.0.61-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 10 Feb 2015 15:00:00 -0000

ros-indigo-jsk-common-msgs (1.0.60-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 03 Feb 2015 01:12:00 -0000

ros-indigo-jsk-common-msgs (1.0.59-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 02 Feb 2015 19:05:00 -0000

ros-indigo-jsk-common-msgs (1.0.58-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2015 15:00:00 -0000

ros-indigo-jsk-common-msgs (1.0.57-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 22 Dec 2014 15:00:00 -0000

ros-indigo-jsk-common-msgs (1.0.56-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 16 Dec 2014 15:00:00 -0000

ros-indigo-jsk-common-msgs (1.0.55-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2014 15:00:00 -0000

ros-indigo-jsk-common-msgs (1.0.54-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 14 Nov 2014 15:00:00 -0000

ros-indigo-jsk-common-msgs (1.0.53-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 31 Oct 2014 15:00:00 -0000

ros-indigo-jsk-common-msgs (1.0.52-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 22 Oct 2014 15:00:00 -0000

ros-indigo-jsk-common-msgs (1.0.51-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Oct 2014 07:01:00 -0000

ros-indigo-jsk-common-msgs (1.0.50-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 19 Oct 2014 16:50:00 -0000

ros-indigo-jsk-common-msgs (1.0.49-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 12 Oct 2014 15:00:00 -0000

ros-indigo-jsk-common-msgs (1.0.48-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 11 Oct 2014 15:00:00 -0000

ros-indigo-jsk-common-msgs (1.0.47-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 07 Oct 2014 15:00:00 -0000

ros-indigo-jsk-common-msgs (1.0.46-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 02 Oct 2014 15:00:00 -0000

ros-indigo-jsk-common-msgs (1.0.45-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 28 Sep 2014 15:00:00 -0000

ros-indigo-jsk-common-msgs (1.0.44-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 26 Sep 2014 00:17:00 -0000

ros-indigo-jsk-common-msgs (1.0.43-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 25 Sep 2014 16:08:00 -0000

ros-indigo-jsk-common-msgs (1.0.42-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 24 Sep 2014 15:00:00 -0000

ros-indigo-jsk-common-msgs (1.0.41-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 22 Sep 2014 15:00:00 -0000



=== debian/control ===
Source: ros-indigo-jsk-common-msgs
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/jsk_common_msgs
Standards-Version: 3.9.2

Package: ros-indigo-jsk-common-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-jsk-footstep-msgs, ros-indigo-jsk-gui-msgs, ros-indigo-jsk-hark-msgs, ros-indigo-posedetection-msgs, ros-indigo-speech-recognition-msgs
Description: Metapackage that contains commonly used messages for jsk-ros-pkg

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-jsk-common-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
